Inkscape Release Version 0.46 doesn´t launch on Mac OS X 10.6.1 Snow Leopard

Bug #461474 reported by jpino on 2009-10-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned

Bug Description

I get following Console.app Log Output:

26.10.09 22:56:12 defaults[1585]
The domain/default pair of (kCFPreferencesAnyApplication, AppleAquaColorVariant) does not exist
26.10.09 22:56:12 [0x0-0x5b05b].org.inkscape.Inkscape[1562] 2009-10-26 22:56:12.845 defaults[1585:903]
26.10.09 22:56:12 [0x0-0x5b05b].org.inkscape.Inkscape[1562] The domain/default pair of (kCFPreferencesAnyApplication, AppleAquaColorVariant) does not exist
26.10.09 22:56:12 defaults[1586]
The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor) does not exist
26.10.09 22:56:12 [0x0-0x5b05b].org.inkscape.Inkscape[1562] 2009-10-26 22:56:12.855 defaults[1586:903]
26.10.09 22:56:12 [0x0-0x5b05b].org.inkscape.Inkscape[1562] The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor) does not exist
26.10.09 22:56:12 defaults[1599]
The domain/default pair of (.GlobalPreferences, AppleCollationOrder) does not exist
26.10.09 22:56:13 [0x0-0x5b05b].org.inkscape.Inkscape[1562] dyld: Library not loaded: /usr/lib/libxml2.2.dylib
26.10.09 22:56:13 [0x0-0x5b05b].org.inkscape.Inkscape[1562] Referenced from: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
26.10.09 22:56:13 [0x0-0x5b05b].org.inkscape.Inkscape[1562] Reason: Incompatible library version: DictionaryServices requires version 10.0.0 or later, but libxml2.2.dylib provides version 9.0.0
26.10.09 22:56:13 ReportCrash[1609] Saved crash report for inkscape-bin[1565] version ??? (???) to /Users/jorge/Library/Logs/DiagnosticReports/inkscape-bin_2009-10-26-225613_Jorges-iMac.crash
26.10.09 22:56:27 defaults[1632]
The domain/default pair of (kCFPreferencesAnyApplication, AppleAquaColorVariant) does not exist
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] 2009-10-26 22:56:27.436 defaults[1632:903]
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] The domain/default pair of (kCFPreferencesAnyApplication, AppleAquaColorVariant) does not exist
26.10.09 22:56:27 defaults[1633]
The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor) does not exist
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] 2009-10-26 22:56:27.448 defaults[1633:903]
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor) does not exist
26.10.09 22:56:27 defaults[1646]
The domain/default pair of (.GlobalPreferences, AppleCollationOrder) does not exist
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] dyld: Library not loaded: /usr/lib/libxml2.2.dylib
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] Referenced from: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
26.10.09 22:56:27 [0x0-0x5c05c].org.inkscape.Inkscape[1610] Reason: Incompatible library version: DictionaryServices requires version 10.0.0 or later, but libxml2.2.dylib provides version 9.0.0
26.10.09 22:56:27 ReportCrash[1609] Saved crash report for inkscape-bin[1612] version ??? (???) to /Users/jorge/Library/Logs/DiagnosticReports/inkscape-bin_2009-10-26-225627_Jorges-iMac.crash

Tags: osx Edit Tag help
jpino (jpino79) wrote :

And here is the Crash Report:

Process: inkscape-bin [1612]
Path: /Applications/Inkscape.app/Contents/Resources/bin/inkscape-bin
Identifier: inkscape-bin
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: Inkscape [1610]

Date/Time: 2009-10-26 22:56:27.493 +0100
OS Version: Mac OS X 10.6.1 (10B504)
Report Version: 6

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
  Library not loaded: /usr/lib/libxml2.2.dylib
  Referenced from: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
  Reason: Incompatible library version: DictionaryServices requires version 10.0.0 or later, but libxml2.2.dylib provides version 9.0.0

su_v (suv-lp) wrote :

This is a known issue: Inkscape 0.46-2 doesn't launch on Snow Leopard due to incompatible library versions. You can test a recent prerelease version Inkscape 0.47pre4 from <http://sourceforge.net/projects/inkscape/files/inkscape/0.47pre4/> or wait for the final release of 0.47. The prerelease version has one known limitation on Snow Leopard: the python extensions don't work.

Release Notes 0.47:
<http://wiki.inkscape.org/wiki/index.php/Release_notes/0.47>
FAQ: Mac OS X specific issues:
<http://wiki.inkscape.org/wiki/index.php/FAQ#Mac_OS_X_specific_issues>

Marking as duplicate of bug #392693 “Conflict between bundled and system libxml dylib”. Please add a comment and revert the duplicate status if you don't agree.

tags: added: osx
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers